請在升級其他 View Server 元件的相同維護時段執行 vCenter Server 升級。升級 vCenter Server 之前,您必須備份部分 View 資料。升級之後,如果 View Composer 在同一台伺服器上執行,您必須重新啟動 View Composer 服務。

執行這項作業的原因和時機

備註︰

在 vCenter Server 升級期間,現有的遠端桌面平台和應用程式工作階段不會中斷連線,但下列功能無法在 vCenter Server 升級期間使用:

  • 處於佈建狀態的遠端桌面平台將無法開機。

  • 無法啟動新桌面平台。

  • 不允許 View Composer 操作。

先決條件

  • 決定何時執行此程序。選擇可用的桌面維護時段。如需所需時間的相關資訊,請參閱《VMware vSphere 升級指南》

  • 備份 vCenter Server 資料庫和 View Composer 資料庫。

  • 使用 vdmexport.exe 公用程式,從 View 連線伺服器執行個體備份 View LDAP 資料庫。

    如需指示,請參閱《View 管理》文件。如果複寫群組中有多個 View 連線伺服器執行個體,則只需要匯出其中一個執行個體的資料即可。

  • 執行準備進行包含 vSphere 的升級中所列的工作。

  • 確認安裝 vCenter Server 的伺服器已安裝並設定 CA (憑證授權單位) 簽署的 SSL 伺服器憑證。升級 View 連線伺服器之後,如果 vCenter Server 未使用 CA 簽署憑證,預設自我簽署憑證就會在 View Administrator 中顯示為無效,而且會有訊息表示 vCenter Server 無法使用。

  • 使用對應於您打算升級的 版本的升級版本,完成《VMware vSphere 升級指南vSphere》中所列的先決條件。

程序

  1. 如《VMware vSphere 升級指南》所述升級 vCenter Server
    重要事項︰

    如果您的叢集包含 Virtual SAN 資料存放區,亦請參閱《管理 VMware Virtual SAN》文件中關於升級 Virtual SAN 叢集的章節。本章包含升級 vCenter Server 的相關主題。

  2. 如果 View Composer 安裝在相同的主機上,請重新啟動 View Composer 服務。
  3. 登入 View Administrator 並檢查儀表板,確認 vCenter Server 和 View Composer 圖示均為綠色。

    如果其中一個圖示為紅色,並且出現「偵測到無效的憑證」對話方塊,您必須按一下驗證,然後如「後續步驟」所述接受未受信任的憑證的指紋,或是安裝有效的 CA 簽署 SSL 憑證。

    如需更換 vCenter Server 預設憑證的相關資訊,請參閱《VMware vSphere 範例與案例》文件。

下一步

若要使用 vCenter Server 或 View Composer 的預設或自我簽署憑證,請參閱接受預設 SSL 憑證的指紋

如果已完成升級 View Server 元件,在下一個維護時段中,繼續進行 View 升級。